%% STOCKSDE4 - Solution to financial distribution fitting exercise

%% Import dataset of returns
load('daxReturns.mat','daxReturns');

%% Use DFITTOOL to find a suitable distribution for the index returns
dfittool(daxReturns.DAX);

%% Distribution fitting from the command line
daxDist = fitdist(daxReturns.DAX, 'tlocationscale');

%% Calculate 1% percentile of fitted distribution
disp(['1% percentile: ',num2str(daxDist.icdf(0.01))]);

%% Bonus: Generate 25-by-1000 random returns
daxRand = daxDist.random(25,1000);

%% Bonus: show the distribution of final returns
daxRand = exp(cumsum(daxRand));
hist(daxRand(end,:), 50)
