load healthdata

%% Compare heights of men and women
dst = fitdist(data.Height,'normal','by',data.Sex);
hm = dst{1}; hw = dst{2};

figure
h = 130:0.1:220;
plot(h,pdf(hm,h),h,pdf(hw,h))
xlabel('Height [cm]')
legend('Men','Women')

%% Compare weights of men and women
dst = fitdist(data.Weight,'lognormal','by',data.Sex);
wm = dst{1}; ww = dst{2};

figure
w = 30:0.1:220;
plot(w,pdf(wm,w),w,pdf(ww,w))
xlabel('Weight [kg]')
legend('Men','Women')

%% Compare difference in reported/actual heights of men and women
%  Calculate difference
deltah = data.Height-data.ReportHeight*2.54;        % cm

dst = fitdist(deltah,'kernel','by',data.Sex);
hm = dst{1}; hw = dst{2};

figure
h = -60:0.2:60;
plot(h,pdf(hm,h),h,pdf(hw,h))
line([0,0],ylim,'color','k','linestyle','--')
xlim([-20,20])
xlabel('\Delta height [cm]')
legend('Men','Women')

%% Compare difference in reported/actual weights of men and women
%  Calculate difference
deltaw = data.Weight-data.ReportWeight/2.2046226;   % kg

dst = fitdist(deltaw,'kernel','by',data.Sex);
wm = dst{1}; ww = dst{2};

figure
w = -60:0.2:60;
plot(w,pdf(wm,w),w,pdf(ww,w))
line([0,0],ylim,'color','k','linestyle','--')
xlim([-20,20])
xlabel('\Delta weight [kg]')
legend('Men','Women')
